<?php
/*
 * This file is part of the Manualranking Product plugin
 *
 * Copyright (C) 2016 LOCKON CO.,LTD. All Rights Reserved.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Plugin\Manualranking\Controller\Block;

use Doctrine\Common\Collections\ArrayCollection;
use Eccube\Application;
use Eccube\Entity\Master\Disp;
use Symfony\Component\HttpFoundation\Response;

/**
 * Class ManualrankingController.
 */
class ManualrankingController
{
    /**
     * Load block.
     *
     * @param Application $app
     *
     * @return Response
     */
    public function index(Application $app)
    {
        $Disp = $app['eccube.repository.master.disp']->find(Disp::DISPLAY_SHOW);

        /**
         * @var ArrayCollection
         */
        $arrManualrankingProduct = $app['eccube.plugin.manualranking.repository.manualranking_product']->getManualrankingProduct($Disp);

        return $app->render('Block/manualranking_product_block.twig', array(
            'manualranking_products' => $arrManualrankingProduct,
        ));
    }
}
